Siri pour l’iPad 2 et l’iPhone 4 arrive bientôt… Officieusement

Siri, l’assistant vocal personnel fourni avec iOS 5 sur l’iPhone 4S, est porté sur l’iPad 2 et l’iPhone 4. Ce n’est pas officiel de la part d’Apple, mais – du moins pas encore – c’est le travail de plusieurs développeurs d’iOS.

Tout d’abord, il ne fonctionne pas encore tout à fait, mais si l’on considère que le port n’est en activité que depuis un jour ou deux, ce n’est pas très surprenant. Néanmoins, les éléments de l’interface utilisateur de Siri ont été chargés avec succès sur l’iPad 2 et l’iPhone 4, ce qui indique qu’il devrait fonctionner sur les deux appareils si le port complet peut être réalisé et certains des obstacles techniques surmontés.

Siri devrait faire son apparition pour l’iPad 2 puisque l’iPad 2 et l’iPhone 4S partagent une grande partie du même matériel, notamment le CPU et le GPU A5. Vous aurez presque certainement besoin d’un jailbreak pour l’utiliser, ce qui ne devrait pas être difficile étant donné que l’iOS 5 est déjà jailbreaké, pour pouvoir transférer le logiciel Siri, et aussi pour pouvoir usurper un iPhone 4S afin d’accéder aux serveurs Siri chez Apple.

Ce concept est apparu pour la première fois hier sur 9to5mac d’un autre développeur iOS, qui a posté la vidéo ci-dessous qui montre l’interface utilisateur de Siri se chargeant sur un iPhone 4, mais il est incapable de fonctionner en raison du manque d’accès aux serveurs Siri d’Apple mentionné ci-dessus. Vous pouvez voir cette vidéo ci-dessous :

La capture d’écran de l’iPad ci-dessus provient de @SonnyDickson , qui travaille sur le port iPad 2. Stroughton-Smith travaille sur le port de l’iPhone 4 avec 9to5mac.

Il est possible qu’Apple sorte éventuellement la technologie Siri sur l’iPad 2 ou l’iPad 3, et peut-être même l’iPhone 4 dans une mise à jour iOS 5.1, mais pour l’instant c’est un argument de vente clé pour l’iPhone 4S, ce qui explique l’exclusivité de l’assistant d’IA pour cet appareil.

Laisser un commentaire

Votre adresse e-mail ne sera pas publiée. Les champs obligatoires sont indiqués avec *